## com.thingmagic
Enum LLRPReader.ReaderConfigParams

    java.lang.Object
      java.lang.Enum<LLRPReader.ReaderConfigParams>
          com.thingmagic.LLRPReader.ReaderConfigParams

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LLRPReader.ReaderConfigParams>

Enclosing class:
  LLRPReader

    public static enum LLRPReader.ReaderConfigParams

extends java.lang.Enum<LLRPReader.ReaderConfigParams>

Enum Constant Summary
`ASYNC_OFF`
`CHECKPORT`
`CONNECTEDPORTLIST`
`CURRENTTIME`
`GEN2_BLF`
`GEN2_Q`
`GEN2_TARI`
`HARDWARE_VERSION`
`HOLDEVENTSANDREPORTS`
`ISO180006B_BLF`
`ISO180006B_DELIMITER`
`ISO180006B_MODULATIONDEPTH`
`KEEP_ALIVE`
`LICENSEKEY`
`MODEL`
`PORTREADPOWERLIST`
`PORTWRITEPOWERLIST`
`READERDESCRIPTION`
`READERHOSTNAME`
`READPOWER`
`RECORDHIGHESTRSSI`
`SERIAL`
`SESSION`
`SOFTWARE_VERSION`
`TAGENCODING`
`TARGET`
`TEMPERATURE`
`UNIQUEBYANTENNA`
`UNIQUEBYDATA`
`WRITEPOWER`

Method Summary
`static LLRPReader.ReaderConfigParams` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LLRPReader.ReaderConfigParams[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONNECTEDPORTLIST

    public static final LLRPReader.ReaderConfigParams CONNECTEDPORTLIST

### PORTREADPOWERLIST

    public static final LLRPReader.ReaderConfigParams PORTREADPOWERLIST

### PORTWRITEPOWERLIST

    public static final LLRPReader.ReaderConfigParams PORTWRITEPOWERLIST

### READERDESCRIPTION

    public static final LLRPReader.ReaderConfigParams READERDESCRIPTION

### KEEP_ALIVE

    public static final LLRPReader.ReaderConfigParams KEEP_ALIVE

### GEN2_BLF

    public static final LLRPReader.ReaderConfigParams GEN2_BLF

### HARDWARE_VERSION

    public static final LLRPReader.ReaderConfigParams HARDWARE_VERSION

### MODEL

    public static final LLRPReader.ReaderConfigParams MODEL

### SOFTWARE_VERSION

    public static final LLRPReader.ReaderConfigParams SOFTWARE_VERSION

### GEN2_TARI

    public static final LLRPReader.ReaderConfigParams GEN2_TARI

### SERIAL

    public static final LLRPReader.ReaderConfigParams SERIAL

### READPOWER

    public static final LLRPReader.ReaderConfigParams READPOWER

### WRITEPOWER

    public static final LLRPReader.ReaderConfigParams WRITEPOWER

### UNIQUEBYANTENNA

    public static final LLRPReader.ReaderConfigParams UNIQUEBYANTENNA

### UNIQUEBYDATA

    public static final LLRPReader.ReaderConfigParams UNIQUEBYDATA

### RECORDHIGHESTRSSI

    public static final LLRPReader.ReaderConfigParams RECORDHIGHESTRSSI

### CURRENTTIME

    public static final LLRPReader.ReaderConfigParams CURRENTTIME

### GEN2_Q

    public static final LLRPReader.ReaderConfigParams GEN2_Q

### TEMPERATURE

    public static final LLRPReader.ReaderConfigParams TEMPERATURE

### CHECKPORT

    public static final LLRPReader.ReaderConfigParams CHECKPORT

### TAGENCODING

    public static final LLRPReader.ReaderConfigParams TAGENCODING

### SESSION

    public static final LLRPReader.ReaderConfigParams SESSION

### TARGET

    public static final LLRPReader.ReaderConfigParams TARGET

### LICENSEKEY

    public static final LLRPReader.ReaderConfigParams LICENSEKEY

### HOLDEVENTSANDREPORTS

    public static final LLRPReader.ReaderConfigParams HOLDEVENTSANDREPORTS

### ISO180006B_BLF

    public static final LLRPReader.ReaderConfigParams ISO180006B_BLF

### ISO180006B_MODULATIONDEPTH

    public static final LLRPReader.ReaderConfigParams ISO180006B_MODULATIONDEPTH

### ISO180006B_DELIMITER

    public static final LLRPReader.ReaderConfigParams ISO180006B_DELIMITER

### ASYNC_OFF

    public static final LLRPReader.ReaderConfigParams ASYNC_OFF

### READERHOSTNAME

    public static final LLRPReader.ReaderConfigParams READERHOSTNAME

Method Detail

### values

    public static LLRPReader.ReaderConfigParams[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LLRPReader.ReaderConfigParams c : LLRPReader.ReaderConfigParams.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LLRPReader.ReaderConfigParams valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null